Menu

## QRCodeTest extends TestCase
in package

QRCodeTest.php : 22

Tests basic functions of the QRCode class

### Table of Contents

$builddir : string
$options : QROptions
$qrcode : QRCode
testInitCustomOutputInterfaceNotExistsException() : void
  tests if an exception is thrown if the given output class does not exist
testInitCustomOutputInterfaceNotImplementsException() : void
  tests if an exception is thrown if the given output class does not implement QROutputInterface
testInitOutputInterfaceException() : void
  tests if an exception is thrown when an invalid (built-in) output type is specified
testRenderToCacheFile() : void
  Tests if a cache file is properly saved in the given path
testSaveException() : void
  Tests if an exception is thrown when trying to write a cache file to an invalid destination
setUp() : void
  invoke test instances

### Properties

#### $builddir

QRCodeTest.php : 26
`private string $builddir = __DIR__ . '/../.build/output_test'`

#### $options

QRCodeTest.php : 25
`private QROptions $options`

#### $qrcode

QRCodeTest.php : 24
`private QRCode $qrcode`

### Methods

#### testInitCustomOutputInterfaceNotExistsException()

QRCodeTest.php : 51

tests if an exception is thrown if the given output class does not exist

`public testInitCustomOutputInterfaceNotExistsException() : void`

##### Return values

void —

#### testInitCustomOutputInterfaceNotImplementsException()

QRCodeTest.php : 63

tests if an exception is thrown if the given output class does not implement QROutputInterface

`public testInitCustomOutputInterfaceNotImplementsException() : void`

##### Return values

void —

#### testInitOutputInterfaceException()

QRCodeTest.php : 39

tests if an exception is thrown when an invalid (built-in) output type is specified

`public testInitOutputInterfaceException() : void`

##### Return values

void —

#### testRenderToCacheFile()

QRCodeTest.php : 88

Tests if a cache file is properly saved in the given path

`public testRenderToCacheFile() : void`

##### Return values

void —

#### testSaveException()

QRCodeTest.php : 76

Tests if an exception is thrown when trying to write a cache file to an invalid destination

`public testSaveException() : void`

##### Return values

void —

#### setUp()

QRCodeTest.php : 31

invoke test instances

`protected setUp() : void`

##### Return values

void —

## Search results